Bug 23537 - Overdrive won't show complete results if the Overdrive object doesn't have a primaryCreator
Summary: Overdrive won't show complete results if the Overdrive object doesn't have a ...
Status: Passed QA
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Liz Rea
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-04 16:06 UTC by Liz Rea
Modified: 2019-09-20 19:06 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 23537: Overdrive won't show complete results at all times (1.85 KB, patch)
2019-09-04 16:22 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 23537: Overdrive won't show complete results at all times (1.90 KB, patch)
2019-09-10 18:34 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23537: Overdrive won't show complete results at all times (1.95 KB, patch)
2019-09-20 19:06 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Liz Rea 2019-09-04 16:06:37 UTC
Overdrive won't show complete results if the Overdrive object doesn't have a primaryCreator 

Some items from overdrive, such as magazines, don't have a primaryCreator in their object. When Koha gets a result like this, the overdrive search won't show any results after the first to have this condition, because it's trying to push an undefined property.
Comment 1 Liz Rea 2019-09-04 16:22:51 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2019-09-10 18:34:17 UTC
Created attachment 92706 [details] [review]
Bug 23537: Overdrive won't show complete results at all times

To test:

On an overdrive enabled OPAC (tough sell, I know)

    Do a search for something you know has magazines, the collection I
    was looking at had "knit" as one

    Without this patch, the results will show "(many) items found in
    overdrive collection" but only show a small number of them.

    With the patch, the number of results should match the number
    shown/paginated.

    A site that has this fix applied, is
    https://tracy.bywatersolutions.com/cgi-bin/koha/opac-overdrive-search.pl?q=knit

    Before this patch, the number of results was 44, but there were only
    8 shown. Now we see all 44

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Tomás Cohen Arazi 2019-09-20 19:06:49 UTC
Created attachment 93036 [details] [review]
Bug 23537: Overdrive won't show complete results at all times

To test:

On an overdrive enabled OPAC (tough sell, I know)

    Do a search for something you know has magazines, the collection I
    was looking at had "knit" as one

    Without this patch, the results will show "(many) items found in
    overdrive collection" but only show a small number of them.

    With the patch, the number of results should match the number
    shown/paginated.

    A site that has this fix applied, is
    https://tracy.bywatersolutions.com/cgi-bin/koha/opac-overdrive-search.pl?q=knit

    Before this patch, the number of results was 44, but there were only
    8 shown. Now we see all 44

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>